For Developers

Get Student Period Meeting Group

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/student_period_meeting_groups/:student_period_meeting_group_id

Retrieve information about a specific Student Period Meeting Group.

Request Parameters

ParameterLocationTypeDescription
student_period_meeting_group_idurlstringThe UUID of the desired Student Period Meeting Group.

Sample Request

axios.get('https://ed.link/api/v2/graph/student_period_meeting_groups/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "flags": [
            "single_attendance_record_required"
        ]
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}